#ifndef H_FILESYS
#define H_FILESYS

#include <windows.h> // BYTE
#include <stdio.h> // fopen(), fclose()
#include "IScene.h"
#include "IMesh.h"

#define MAIN3DS 0x4D4D
#define EDIT3DS 0x3D3D
#define EDIT_OBJECT 0x4000
#define OBJ_TRIMESH 0x4100
#define TRI_VERTEXL 0x4110
#define TRI_FACEL 0x4120

class FileSys
{
private:
	static inline long enterChunk(FILE *stream, long chunkID, long chunkEnd);
	static inline void readVertList(FILE *stream, IMesh *mesh);
	static inline void readFaceList(FILE *stream, IMesh *mesh);
	static inline short readShort(FILE *stream);
	static inline long readLong(FILE *stream);
	static inline void readString(FILE *stream, char *buf);
public:
	static void load3ds(char *filename, int index, IScene *scene);
};

#endif